Go to the latest version of this document.

# ``twisted`.`words`.`protocols`.`jabber`.`ijabber`.`IXMPPHandlerCollection``

interface documentation

`class IXMPPHandlerCollection(Interface): (source)`

Known implementations: `twisted.words.protocols.jabber.xmlstream.XMPPHandlerCollection`

View In Hierarchy

Collection of handlers.

Contain several handlers and manage their connection.

Method | `__iter__` | Get an iterator over all child handlers.
Method | `addHandler` | Add a child handler.
Method | `removeHandler` | Remove a child handler.

def __iter__(): (source)

Get an iterator over all child handlers.

def addHandler(handler): (source)

Add a child handler.

Parameters
handler:`IXMPPHandler` | Undocumented

def removeHandler(handler): (source)

Remove a child handler.

Parameters
handler:`IXMPPHandler` | Undocumented